Page MenuHomePhabricator

Implement new File page design using OOUI (multi-lingual captions only)
Closed, ResolvedPublic

Description

Update the first attempt at a SDoC File page with the new multi-lingual captions design (which implies OOUI-ifying the interface)

Related Objects

Event Timeline

Cparle claimed this task.Aug 20 2018, 2:17 PM
Cparle created this task.
Cparle moved this task from To Do to Doing on the Multimedia-Team-Working-Board board.
Cparle added a subscriber: MarkTraceur.
Addshore moved this task from incoming to monitoring on the Wikidata board.Aug 20 2018, 3:21 PM

Change 455204 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Work in progress

https://gerrit.wikimedia.org/r/455204

Change 455206 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/Wikibase@master] Work in progress

https://gerrit.wikimedia.org/r/455206

Change 455206 abandoned by Cparle:
New addTemplates() method in TemplateFactory

Reason:
Splitting into 2 patches so access modifier changes can be merged separately

https://gerrit.wikimedia.org/r/455206

Change 455538 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/Wikibase@master] Access modifier changes to make views more extensible

https://gerrit.wikimedia.org/r/455538

Change 455539 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/Wikibase@master] New addTemplates() method in TemplateFactory

https://gerrit.wikimedia.org/r/455539

Change 455541 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Removed re-declaration of private member variables from parent class

https://gerrit.wikimedia.org/r/455541

Note that the captions are expected to appear first on the page, see https://www.dropbox.com/s/kuv5d2gu3y7x430/Display%20caption%20on%20File%20Page.png?dl=0

Change 456082 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Introduce EntityDocumentView interface

https://gerrit.wikimedia.org/r/456082

Change 455538 abandoned by Cparle:
Access modifier changes to make views more extensible

Reason:
Will use interfaces from https://gerrit.wikimedia.org/r/456082 instead

https://gerrit.wikimedia.org/r/455538

Change 455541 abandoned by Cparle:
Removed re-declaration of private member variables from parent class

Reason:
Abandoning because of git fetch https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/ /456082/

https://gerrit.wikimedia.org/r/455541

Change 456082 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce EntityDocumentView interface

https://gerrit.wikimedia.org/r/456082

Change 455539 abandoned by Cparle:
New addTemplates() method in TemplateFactory

Reason:
Using a new instance of TemplateFactory specifically for WikibaseMediaInfo

https://gerrit.wikimedia.org/r/455539

Change 460025 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Inject multi-lingual captions into the File page

https://gerrit.wikimedia.org/r/460025

Change 460285 had a related patch set uploaded (by Cparle; owner: Cparle):
[integration/config@master] Add ULS to requirements for WikibaseMediainfo

https://gerrit.wikimedia.org/r/460285

Change 460285 merged by jenkins-bot:
[integration/config@master] Add ULS to requirements for WikibaseMediainfo

https://gerrit.wikimedia.org/r/460285

Cparle renamed this task from Implement new File page design using OOUI to Implement new File page design using OOUI *.Sep 13 2018, 4:56 PM
Cparle renamed this task from Implement new File page design using OOUI * to Implement new File page design using OOUI (multi-lingual captions only).
Cparle updated the task description. (Show Details)
Ramsey-WMF triaged this task as High priority.Sep 14 2018, 5:04 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
brion added a subscriber: brion.Sep 14 2018, 5:54 PM

Change 460025 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Inject multi-lingual captions into the File page

https://gerrit.wikimedia.org/r/460025

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Engineering sign-off done. Now waiting for product sign-off. (Obviously, further design changes are expected.)

Restricted Application added a project: Multimedia. · View Herald TranscriptNov 8 2018, 6:12 PM
Ramsey-WMF closed this task as Resolved.Dec 3 2018, 5:30 PM